%define		gst_ver		1.16.3
%define		gstpb_ver	1.16.3
%define		gstrtsp_ver	%{gst_ver}
Summary:	GstValidate - suite of tools to run GStreamer integration tests
Summary(pl.UTF-8):	GstValidate - zestaw narzędzi do uruchamiania testów integracyjnych GStreamera
Name:		gstreamer-validate
Version:	1.16.3
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/gst-validate/gst-validate-%{version}.tar.xz
# Source0-md5:	740a436f5b9bf17ea7de0e62c92ec264
URL:		https://gstreamer.freedesktop.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairo-devel
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gstreamer-devel >= %{gst_ver}
BuildRequires:	gstreamer-plugins-base-devel >= %{gstpb_ver}
BuildRequires:	gstreamer-rtsp-server-devel >= %{gstrtsp_ver}
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	json-glib-devel >= 1.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	python3 >= 1:3.4
BuildRequires:	rpm-build >= 4.6
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.36.0
Requires:	gstreamer >= %{gst_ver}
Requires:	gstreamer-plugins-base >= %{gstpb_ver}
Requires:	gstreamer-rtsp-server >= %{gstrtsp_ver}
Requires:	json-glib >= 1.0
Requires:	python3-modules >= 1:3.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The goal of GstValidate is to be able to detect when elements are not
behaving as expected and report it to the user so he knows how things
are supposed to work inside a GstPipeline. In the end, fixing issues
found by the tool will ensure that all elements behave all together in
the expected way.

%description -l pl.UTF-8
Celem GstValidate jest umożliwienie wykrycia sytuacji, kiedy elementy
nie zachowują się w sposób oczekiwany i zgłaszanie tego faktu
użytkownikowi tak, aby wiedział, jak powinny działać elementy wewnątrz
GstPipeline. W efekcie, poprawienie problemów wykrytych przez to
narzędzie zapewni, że wszystkie elementy razem będą się zachowywały w
sposób zgodny z oczekiwaniami.

%package devel
Summary:	Header files for GstValidate library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GstValidate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
Requires:	gstreamer-devel >= %{gst_ver}
Requires:	gstreamer-plugins-base-devel >= %{gstpb_ver}

%description devel
Header files for GstValidate library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GstValidate.

%package apidocs
Summary:	API documentation for GstValidate library
Summary(pl.UTF-8):	Dokumentacja API biblioteki GstValidate
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for GstValidate library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki GstValidate.

%prep
%setup -q -n gst-validate-%{version}

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' tools/gst-validate-launcher.in

%build
%{__libtoolize}
%{__aclocal} -I m4 -I common/m4
%{__autoconf}
%{__autoheader}
%{__automake}
# disable sphinx for now: docs/launcher/conf.py is missing
%configure \
	PYTHON=%{__python3} \
	--enable-gtk-doc \
	--disable-silent-rules \
	--disable-sphinx-doc \
	--disable-static \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.la
# modules loaded through glib
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/libgstvalidatetracer.la \
	$RPM_BUILD_ROOT%{_libdir}/gstreamer-1.0/validate/libgstvalidate*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gst-validate-1.0
%attr(755,root,root) %{_bindir}/gst-validate-images-check-1.0
%attr(755,root,root) %{_bindir}/gst-validate-launcher
%attr(755,root,root) %{_bindir}/gst-validate-media-check-1.0
%attr(755,root,root) %{_bindir}/gst-validate-rtsp-server-1.0
%attr(755,root,root) %{_bindir}/gst-validate-transcoding-1.0
%attr(755,root,root) %{_libdir}/libgstvalidate-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvalidate-1.0.so.0
%attr(755,root,root) %{_libdir}/libgstvalidate-default-overrides-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvalidate-default-overrides-1.0.so.0
%attr(755,root,root) %{_libdir}/libgstvalidatevideo-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgstvalidatevideo-1.0.so.0
%{_libdir}/girepository-1.0/GstValidate-1.0.typelib
%attr(755,root,root) %{_libdir}/gstreamer-1.0/libgstvalidatetracer.so
%dir %{_libdir}/gstreamer-1.0/validate
%attr(755,root,root) %{_libdir}/gstreamer-1.0/validate/libgstvalidatefaultinjection.so
%attr(755,root,root) %{_libdir}/gstreamer-1.0/validate/libgstvalidategapplication.so
%attr(755,root,root) %{_libdir}/gstreamer-1.0/validate/libgstvalidategtk.so
%attr(755,root,root) %{_libdir}/gstreamer-1.0/validate/libgstvalidateflow.so
%attr(755,root,root) %{_libdir}/gstreamer-1.0/validate/libgstvalidatessim.so
%{_libdir}/gst-validate-launcher
%dir %{_datadir}/gstreamer-1.0
%{_datadir}/gstreamer-1.0/validate

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgstvalidate-1.0.so
%attr(755,root,root) %{_libdir}/libgstvalidate-default-overrides-1.0.so
%attr(755,root,root) %{_libdir}/libgstvalidatevideo-1.0.so
%{_includedir}/gstreamer-1.0/gst/validate
%dir %{_includedir}/gstreamer-1.0/lib
%{_includedir}/gstreamer-1.0/lib/validate
%{_pkgconfigdir}/gst-validate-1.0.pc
%{_datadir}/gir-1.0/GstValidate-1.0.gir

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gst-validate-1.0
%{_gtkdocdir}/gst-validate-plugins-1.0
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gstreamer-validate.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 9ebdc17
- rebuild with separate debuginfo build-ids

* Sun Mar 14 2021 Jakub Bogusz <qboosh@pld-linux.org> bb9fbbe
- updated to 1.16.3

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 142ef78
- unconditional noarch subpackages

* Mon Mar 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 4bc8610
- updated to 1.16.2
- force python3 for configure; scripts already have python3 shebang

* Sat Jul 06 2019 Jakub Bogusz <qboosh@pld-linux.org> dc30101
- versioned gstreamer-rtsp-server runtime dependency

* Fri Jun 07 2019 Bartek Szady <bszx@bszx.eu> fbe7cba
- updated to 1.16.0

* Wed Mar 06 2019 Jakub Bogusz <qboosh@pld-linux.org> de5a0ba
- package gst-validate-rtsp-server; release 2

* Wed Dec 26 2018 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> de07284
- Updated to 1.14.4

* Tue Dec 26 2017 Jan Rękorajski <baggins@pld-linux.org> e54a382
- release 2 (by relup.sh)

* Sat Dec 23 2017 Jakub Bogusz <qboosh@pld-linux.org> 2a7c50d
- updated to 1.12.4

* Thu Jul 27 2017 Jakub Bogusz <qboosh@pld-linux.org> a3b313e
- updated to 1.12.2

* Sun May 14 2017 Jakub Bogusz <qboosh@pld-linux.org> a5c6c1d
- updated to 1.12.0

* Mon Apr 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 52be44f
- updated to 1.8.1

* Fri Oct 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 40dd666
- added gstreamer lib include dir

* Thu Oct 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 2826b9a
- updated to 1.6.0

* Tue Oct 21 2014 Jakub Bogusz <qboosh@pld-linux.org> 853334a
- updated to 1.4.0

* Mon Oct 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 84b99a4
- new

